decode.Chromosome {galgo} | R Documentation

## Converts the gene values to user-readable values

### Description

Converts the gene values to user-readable values.

### Usage

    ## S3 method for class 'Chromosome'
    decode(x, ...)

### Details

This function really calls the function defined in the `$decode` variable in the `Chromosome` object.

### Value

Returns the representation of the chromosome.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `Chromosome`. `*genes()`.

### Examples

       cr <- Chromosome(genes=newCollection(Gene(shape1=1, shape2=100),5))
       cr
       as.double(cr) # the same
       as.numeric(cr) # the same
       decode(cr) # the same
       as.vector(cr) # NA's is not the same

[Package galgo version 1.4 Index]